<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="layout/frag :: head(title='Order List')"></head>
<body>
<div th:replace="layout/frag :: header(title='List Order')"></div>
<div class="container-fluid row mt-2">
    <nav th:replace="layout/frag :: menu"></nav>
    <main class="col-md-10">
        <div class="card">
            <div class="card-body">
                <h3 class="card-title float-left">
                    List order
                    <small class="text-muted">show all order</small>
                </h3>
                <a href="/order/add" class="btn float-right"><i class="fas fa-plus-circle"></i> Add new order</a>
                <div class="clearfix"></div>
                <div class="alert alert-success d-none" role="alert" id="messageSuccess"></div>
                <div class="alert alert-danger d-none" role="alert" id="messageError"></div>
                <table class="table table-striped">
                    <thead>
                    <tr class="row">
                        <th class="col-md-1">#</th>
                        <th class="col-md-2">Customer Name</th>
                        <th class="col-md-2">Product Name</th>
                        <th class="col-md-2">Quantity</th>
                        <th class="col-md-2">Price</th>
                        <th class="col-md-2">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="order: ${orders}" class="row">
                        <td class="col-md-1" th:text="${order.id}"></td>
                        <td class="col-md-2" th:text="${order.customerName}"></td>
                        <td class="col-md-2" th:text="${order.productName}"></td>
                        <td class="col-md-2" th:text="${order.quantity}"></td>
                        <td class="col-md-2" th:text="${order.price}"></td>
                        <td class="col-md-2">
                            <a class="btn-link" th:href="@{order/edit(id=${order.id})}">Edit</a>
                            <a class="btn-link" th:href="@{order/delete(id=${order.id})}">Delete</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </main>
</div>
<div th:replace="layout/frag :: footer"></div>
</body>
</html>